﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Volga_IT_17_Soldatkin
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            MainManager.Instance.BattleStateChanged += OnBattleStateChanged;
            Render.Instance.Init(pictureBox1);
            NewGame();
        }

        private void OnBattleStateChanged()
        {
            if (MainManager.Instance.Field.IsWin)
            {
                MessageBox.Show("ПОБЕДА :)");
                return;
            }

            if (MainManager.Instance.Field.IsDefeat)
            {
                MessageBox.Show("ПОРАЖЕНИЕ :C");
                return;
            }
        }

        private void buttonNewGame_Click(object sender, EventArgs e)
        {
            NewGame();
        }

        private void NewGame()
        {
            MainManager.Instance.Field = new Field();
            MainManager.Instance.Field.InitEmpty(5, 5);
            MainManager.Instance.Field.CreateRandimEnemyOnTurn();
            MainManager.Instance.RaiseFieldChanged();
        }

        private void buttonLoad_Click(object sender, EventArgs e)
        {
            openFileDialog1.ShowDialog();
        }

        private void openFileDialog1_FileOk(object sender, CancelEventArgs e)
        {
            MainManager.Instance.Loader.Load(openFileDialog1.FileName);
        }
    }
}
