﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Volga_IT_17_Soldatkin_Editor
{
    public class MainManager
    {
        public static MainManager Instance = new MainManager();

        private MainManager()
        {
            Loader = new Loader();
            Instance = this;
        }

        public Field Field { get; set; }
        public Loader Loader { get; set; }

        public event Action FieldChanged = delegate { };
        public event Action SelectionChanged = delegate { };

        public void RaiseFieldChanged()
        {
            FieldChanged();
        }

        public void RaiseSelectionChanged()
        {
            SelectionChanged();
        }
    }
}
