﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Volga_IT_17_Soldatkin
{
    public class Difficulity
    {
        public int SizeX { get; set; }
        public int SizeY { get; set; }
        public int EnemyForceLimit { get; set; }
        public int MaxGeneratingEnemy { get; set; }

        public void Parse(string s)
        {
            string[] lines = s.Split(new[] { Environment.NewLine }, StringSplitOptions.RemoveEmptyEntries);
            SizeX = int.Parse(lines[0]);
            SizeY = int.Parse(lines[1]);
            EnemyForceLimit = int.Parse(lines[2]);
            MaxGeneratingEnemy = int.Parse(lines[3]);
        }

        public string Serialize()
        {
            StringBuilder b = new StringBuilder();
            b.AppendLine(SizeX.ToString());
            b.AppendLine(SizeY.ToString());
            b.AppendLine(EnemyForceLimit.ToString());
            b.AppendLine(MaxGeneratingEnemy.ToString());
            return b.ToString();
        }
    }
}
