﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Volga_IT_17_Soldatkin
{
    public class MainManager
    {
        public static MainManager Instance = new MainManager();

        private MainManager()
        {
            Loader = new Loader();
            Instance = this;
        }

        private Random random = new Random();

        public Random Random { get { return random; } }
        public Field Field { get; set; }
        public Loader Loader { get; set; }
        public Dictionary<string, Difficulity> Difficulities { get; set; }
        public Difficulity SelectedDifficulity { get; set; }
        public Difficulity CurrentGameDifficlulity { get; set; }

        public event Action FieldChanged = delegate { };
        public event Action BattleStateChanged = delegate { };

        public void RaiseFieldChanged()
        {
            FieldChanged();
        }

        public void RaiseBattleStateChanged()
        {
            BattleStateChanged();
        }
    }
}
